---
title: Touch.pageY
slug: Web/API/Touch/pageY
tags:
  - API
  - Property
  - Read-only
  - Reference
  - touch
---
<p>{{ APIRef("Touch Events") }}</p>

<p>The <code><strong>Touch.pageY</strong></code> read-only property returns the Y coordinate of the touch point relative to the viewport, including any scroll offset.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>touchItem</em>.pageY;</pre>

<h3 id="Return_Value">Return value</h3>

<p>A <code>long</code> value that representes the Y coordinate of the touch point relative to the viewport, including any scroll offset.</p>

<h2 id="Example">Example</h2>

<p>This example illustrates how to access the {{domxref("Touch")}} object's {{domxref("Touch.pageX")}} and {{domxref("Touch.pageY")}} properties. The {{domxref("Touch.pageX")}} property is the horizontal coordinate of a touch point relative to the viewport (in CSS pixels), including any scroll offset. The {{domxref("Touch.pageY")}} property is the vertical coordinate of a touch point relative to the viewport (in CSS pixels), including any scroll offset.</p>

<p>In following simple code snippet, we assume the user initiates one or more touch contacts on the <code>source</code> element, moves the touch points and then releases all contacts with the surface. When the {{event("touchmove")}} event handler is invoked, each touch point's {{domxref("Touch.pageX")}} and {{domxref("Touch.pageY")}} coordinates are accessed via the event's {{domxref("TouchEvent.changedTouches")}} list.</p>

<pre class="brush: js">// Register a touchmove listeners for the 'source' element
var src = document.getElementById("source");

src.addEventListener('touchmove', function(e) {
  // Iterate through the touch points that have moved and log each
  // of the pageX/Y coordinates. The unit of each coordinate is CSS pixels.
  var i;
  for (i=0; i &lt; e.changedTouches.length; i++) {
    console.log("touchpoint[" + i + "].pageX = " + e.changedTouches[i].pageX);
    console.log("touchpoint[" + i + "].pageY = " + e.changedTouches[i].pageY);
  }
}, false);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touch-pagey')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>No change from last version.</td>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events', '#widl-Touch-pageY')}}</td>
   <td>{{Spec2('Touch Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Touch.pageY")}}</p>
